from peewee import *
from models import db

class WalletAddress(Model):
    id = IntegerField(primary_key=True)  # 主键字段
    v4r2_address = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    v5r1_address = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    words = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    tg_id = IntegerField(default=0)  # 整数字段，默认值为 0
    server_ip = CharField(null=True, max_length=255, help_text='服务器ip')  # 可为空的字符字段，最大长度 255，注释为 "服务器ip"
    ld_name = CharField(null=True, max_length=255, help_text='模拟器名称')  # 可为空的字符字段，最大长度 255，注释为 "模拟器名称"
    stast = IntegerField(null=True, help_text='绑定状态（0：使用中，1：绑定成功）')  # 可为空的整数字段，注释为 "绑定状态（0：使用中，1：绑定成功）"
    logged_in_wallet_time = CharField(null=True, max_length=255, help_text='绑定钱包时间')  # 可为空的字符字段，最大长度 255，注释为 "绑定钱包时间"
    logged_in_wallet_set = CharField(null=True, max_length=255, help_text='钱包绑定人')  # 可为空的字符字段，最大长度 255，注释为 "钱包绑定人"
    ti_start = CharField(null=True, max_length=255, help_text='1:zsj,2:xs')  # 可为空的字符字段，最大长度 255，注释为 "1:zsj,2:xs"
    project_name = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    transfer_ton = CharField(null=True, max_length=255, help_text='划转的ton_id')  # 可为空的字符字段，最大长度 255，注释为 "划转的ton_id"
    ye = CharField(null=True, max_length=255, help_text='ye')  # 可为空的字符字段，最大长度 255，注释为 "ye"
    balance = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    ton_balance = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255

    class Meta:
        database = db  # 指定数据库连接
        table_name = 'wallet_address'  # 指定表名